[PlanetCCRMA] gcc version problem

Bill Clark billc10453@yahoo.co.uk
Wed Nov 24 07:56:01 2004


Hi, firstly thanks for providing such a great
resource, I wonder if anyone could help me? I'm trying
to learn the environment with a view to eventually
attempting to get my Roland U-8 working with Ardour
(once you have used a hardware controller you never
want to stop!), to this end I've just started working
through Rubini & Corbett "Linux Device Drivers" and
have hit the following while trying to insmod the
first "hello world" example:

[root@localhost bilbo]# gcc -c ./hello.c
[root@localhost bilbo]# /sbin/insmod ./hello.o
./hello.o: kernel-module version mismatch
        ./hello.o was compiled for kernel version
2.4.20
        while this kernel is version
2.4.26-1.ll.rhfc1.ccrma.
[root@localhost bilbo]#

There is obviously something I need to do to get the
gcc version to match the kernel, can someone point me
in the right direction?? Many Thanks... btw the same
thing happens on suse 8.2 also 


		
___________________________________________________________ 
Moving house? Beach bar in Thailand? New Wardrobe? Win 10k with Yahoo! Mail to make your dream a reality. 
Get Yahoo! Mail www.yahoo.co.uk/10k